import sys
from pathlib import Path
import json

sys.path[0] = str(Path(sys.path[0]).parent)

from steps.model_run import (single_run, 
                             # single_run_gen_profile,
                             single_run_emp_parameters,
                             # single_run_validate,
                             )
import pandas as pd

def simulation_pipeline() -> None:

    titles=["API", "disintegrant", "filler 1", "filler 2","lubricant"]
    components=['sp1', 'cc1', 'la1', 'mc6', 'ms1']
    fractions = [0.16, 0.035, 0.304, 0.491, 0.01]
        
    f, p = single_run(titles, 
                      components, 
                      fractions, 
                      cp=176.1)
    
    # profile = single_run_gen_profile(titles, 
    #                                  components, 
    #                                  fractions, 
    #                                  cp_range = (90, 400),
    #                                  n_runs = 7)
    
    # (init_por, B), (t_hat, kb), res = single_run_emp_parameters(titles, 
    #                                                         components, 
    #                                                         fractions, 
    #                                                         cp_range = (90, 400),
    #                                                         n_runs = 7)
    
if __name__ == "__main__":
    simulation_pipeline()
    