import sys
from pathlib import Path

sys.path[0] = str(Path(sys.path[0]).parent)

from steps.ingest_data import load_models
import pandas as pd
import numpy as np

folder_path = "./saved_model/20240724_16_data/"

df_tablet = load_models(folder_path, "df_tablet", ".pkl")
por_model_data = load_models(folder_path, "por_model_data", ".pkl")
ts_model_data = load_models(folder_path, "ts_model_data", ".pkl")

res = np.max(df_tablet.loc[df_tablet["API"].isin(["xxx",]),
                           "API conc"])
print(res)

res = np.max(df_tablet.loc[df_tablet["API"].isin(["xxx",]),
                           "Tablet porosity"])
print(res)

res = np.max(df_tablet.loc[df_tablet["API"].isin(["xxx",]),
                           "Tensile strength (Mpa)"])
print(res)

res = np.max(df_tablet.loc[df_tablet["API"].isin(["xxx",]),
                           "Compression Pressure (Mpa)"])
print(res)