from src.data_saving import SaveData
import logging


def save_all_data(f_raw,
                  df_blend, 
                  df_tablet, 
                  psd_raw, 
                  ar_raw, 
                  psd_blend, 
                  ar_blend,
                  por_model_data,
                  ts_model_data,) -> None:
    """
    saves data and models into a new folder with date and time
    """
    try:
        savedata = SaveData()
        savedata.save_all(f_raw,
                          df_blend, 
                          df_tablet, 
                          psd_raw, 
                          ar_raw, 
                          psd_blend, 
                          ar_blend,
                          por_model_data,
                          ts_model_data,)
    except Exception as e:
        logging.error(e)
        raise e
